
.lds-dual-ring {
  display: inline-block;
  width: 80px;
  height: 80px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 3px solid #fff;
  border-color: #f2f2f2 #020412 #f2f2f2 #020412;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.loader{
  background: #020412;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100000;
  clip-path: circle(150% at 100% 0);
  transition: clip-path 0.8s ease-in-out;
}

.loader2{
  clip-path: circle(0% at 100% 0);
}

@media screen and (max-width: 727px) {
  .loader{
    height: 100vh;
  }
}